/*
 * Raima Database Manager
 *
 * Copyright (C) 2016 Raims Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 */

/** \file psptypes-integrity.h
 *  \brief Header for the Platform Support Package - Platform dependent types for INTEGRITY
 */

#ifndef RDM_DOXYGEN
#ifndef PSPTYPES_INTEGRITY_H
#define PSPTYPES_INTEGRITY_H

#include <inttypes.h>

#if defined(RDM_64BIT)
#define RDM_64BIT_CODE RDM_T ("l")
#define RDM_64BIT_CODE_A "l"
#else
#define RDM_64BIT_CODE RDM_T ("ll")
#define RDM_64BIT_CODE_A "ll"
#endif

#endif
#endif
